Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

kernel/common/eztemplateautoload.php
Go to the documentation of this file.
1 <?php
9 // Operator autoloading
10
11 $eZTemplateOperatorArray = array();
12
13 $eZTemplateOperatorArray[] = array( 'class' => 'eZURLOperator',
14 'operator_names' => array( 'ezurl', 'ezroot', 'ezdesign', 'ezimage', 'exturl',
15 'ezsys', 'ezhttp', 'ezhttp_hasvariable', 'ezini', 'ezini_hasvariable' ) );
16
17 $eZTemplateOperatorArray[] = array( 'class' => 'eZi18nOperator',
18 'operator_names' => array( 'i18n', 'x18n', 'd18n' ) );
19
20 $eZTemplateOperatorArray[] = array( 'class' => 'eZAlphabetOperator',
21 'operator_names' => array( 'alphabet' ) );
22
23 $eZTemplateOperatorArray[] = array( 'class' => 'eZDateOperatorCollection',
24 'operator_names' => array( 'month_overview' ) );
25
26 $eZTemplateOperatorArray[] = array( 'class' => 'eZAutoLinkOperator',
27 'operator_names' => array( 'autolink' ) );
28
29 $eZTemplateOperatorArray[] = array( 'class' => 'eZSimpleTagsOperator',
30 'operator_names' => array( 'simpletags' ) );
31
32 $eZTemplateOperatorArray[] = array( 'class' => 'eZTreeMenuOperator',
33 'operator_names' => array( 'treemenu' ) );
34
35 $eZTemplateOperatorArray[] = array( 'class' => 'eZContentStructureTreeOperator',
36 'operator_names' => array( 'content_structure_tree' ) );
37
38 $eZTemplateOperatorArray[] = array( 'class' => 'eZWordToImageOperator',
39 'operator_names' => array( 'wordtoimage',
40 'mimetype_icon', 'class_icon', 'classgroup_icon', 'action_icon', 'icon',
41 'flag_icon', 'icon_info' ) );
42
43 $eZTemplateOperatorArray[] = array( 'class' => 'eZKernelOperator',
44 'operator_names' => array( 'ezpreference' ) );
45
46
47 $eZTemplateOperatorArray[] = array( 'function' => 'eZPHPOperatorInit',
48 'operator_names_function' => 'eZPHPOperatorNameInit' );
49
50 $eZTemplateOperatorArray[] = array( 'class' => 'eZModuleParamsOperator',
51 'operator_names' => array( 'module_params' ) );
52
53 $eZTemplateOperatorArray[] = array( 'class' => 'eZTopMenuOperator',
54 'operator_names' => array( 'topmenu' ) );
55
56 $eZTemplateOperatorArray[] = array( 'class' => 'eZPackageOperator',
57 'operator_names' => array( 'ezpackage' ) );
58
59 $eZTemplateOperatorArray[] = array( 'class' => 'eZTOCOperator',
60 'operator_names' => array( 'eztoc' ) );
61
62 $eZTemplateOperatorArray[] = array( 'class' => 'eZModuleOperator',
63 'operator_names' => array( 'ezmodule' ) );
64
65 // Function autoloading
66
67 $eZTemplateFunctionArray = array();
68 $eZTemplateFunctionArray[] = array( 'function' => 'eZObjectForwardInit',
69 'function_names' => array( 'attribute_edit_gui',
70 'attribute_view_gui',
71 'attribute_result_gui',
72 'attribute_pdf_gui',
73 'attribute_diff_gui',
74 'related_view_gui',
75 'node_view_gui',
76 'content_view_gui',
77 'content_pdf_gui',
78 'shop_account_view_gui',
79 'content_version_view_gui',
80 'collaboration_view_gui',
81 'collaboration_icon',
82 'collaboration_simple_message_view',
83 'collaboration_participation_view',
84 'event_edit_gui',
85 'event_view_gui',
86 'class_attribute_view_gui',
87 'class_attribute_edit_gui' ) );
88
89 if ( !function_exists( 'eZPHPOperatorInit' ) )
90 {
91 function eZPHPOperatorInit()
92 {
93 $ini = eZINI::instance( 'template.ini' );
94 $operatorList = $ini->variable( 'PHP', 'PHPOperatorList' );
95 return new eZTemplatePHPOperator( $operatorList );
96 }
97 }
98
99 if ( !function_exists( 'eZPHPOperatorNameInit' ) )
100 {
101 function eZPHPOperatorNameInit()
102 {
103 $ini = eZINI::instance( 'template.ini' );
104 $operatorList = $ini->variable( 'PHP', 'PHPOperatorList' );
105 return array_keys( $operatorList );
106 }
107 }
108
109 if ( !function_exists( 'eZObjectForwardInit' ) )
110 {
111 function eZObjectForwardInit()
112 {
113 $forward_rules = array(
114 'attribute_edit_gui' => array( 'template_root' => 'content/datatype/edit',
115 'input_name' => 'attribute',
116 'output_name' => 'attribute',
117 'namespace' => 'ContentAttribute',
118 'attribute_keys' => array( 'attribute_identifier' => array( 'contentclass_attribute_identifier' ),
119 'attribute' => array( 'contentclassattribute_id' ),
120 'class_identifier' => array( 'object', 'class_identifier' ),
121 'class' => array( 'object', 'contentclass_id' ) ),
122 'attribute_access' => array( array( 'edit_template' ) ),
123 'use_views' => false ),
124
125 'attribute_pdf_gui' => array( 'template_root' => 'content/datatype/pdf',
126 'input_name' => 'attribute',
127 'output_name' => 'attribute',
128 'namespace' => 'ContentAttribute',
129 'attribute_keys' => array( 'attribute_identifier' => array( 'contentclass_attribute_identifier' ),
130 'attribute' => array( 'contentclassattribute_id' ),
131 'class_identifier' => array( 'object', 'class_identifier' ),
132 'class' => array( 'object', 'contentclass_id' ) ),
133 'attribute_access' => array( array( 'view_template' ) ),
134 'use_views' => false ),
135
136 'attribute_view_gui' => array( 'template_root' => array( 'type' => 'multi_match',
137 'attributes' => array( 'is_information_collector' ),
138 'matches' => array( array( false,
139 'content/datatype/view' ),
140 array( true,
141 'content/datatype/collect' ) ) ),
142 'render_mode' => false,
143 'input_name' => 'attribute',
144 'output_name' => 'attribute',
145 'namespace' => 'ContentAttribute',
146 'attribute_keys' => array( 'attribute_identifier' => array( 'contentclass_attribute_identifier' ),
147 'attribute' => array( 'contentclassattribute_id' ),
148 'class_identifier' => array( 'object', 'class_identifier' ),
149 'class' => array( 'object', 'contentclass_id' ) ),
150 'attribute_access' => array( array( 'view_template' ) ),
151 'optional_views' => true,
152 'use_views' => 'view' ),
153
154 'attribute_diff_gui' => array( 'template_root' => 'content/datatype/diff',
155 'input_name' => 'attribute',
156 'output_name' => 'attribute',
157 'namespace' => 'ContentAttribute',
158 'attribute_keys' => array( 'attribute_identifier' => array( 'contentclass_attribute_identifier' ),
159 'attribute' => array( 'contentclassattribute_id' ),
160 'class_identifier' => array( 'object', 'class_identifier' ),
161 'class' => array( 'object', 'contentclass_id' ) ),
162 'attribute_access' => array( array( 'view_template' ) ),
163 'use_views' => false ),
164
165 'attribute_result_gui' => array( 'template_root' => 'content/datatype/result',
166 'render_mode' => false,
167 'input_name' => 'attribute',
168 'output_name' => 'attribute',
169 'namespace' => 'CollectionAttribute',
170 'attribute_keys' => array( 'attribute_identifier' => array( 'contentclass_attribute_identifier' ),
171 'attribute' => array( 'contentclassattribute_id' ),
172 'class_identifier' => array( 'object', 'class_identifier' ),
173 'class' => array( 'object', 'contentclass_id' ) ),
174 'attribute_access' => array( array( 'result_template' ) ),
175 'optional_views' => true,
176 'use_views' => 'view' ),
177
178 'related_view_gui' => array( 'template_root' => 'content/related',
179 'input_name' => 'related_object',
180 'output_name' => 'related_object',
181 'namespace' => 'RelatedView',
182 'attribute_keys' => array( 'object' => array( 'id' ),
183 'class' => array( 'class_id' ),
184 'section' => array( 'section_id' ),
185 'remote_id' => array( 'remote_id' ),
186 'class_identifier' => array( 'class_identifier' ) ),
187 'attribute_access' => array(),
188 'use_views' => 'view' ),
189
190 'shop_account_view_gui' => array( 'template_root' => "shop/accounthandlers",
191 'input_name' => 'order',
192 'output_name' => 'order',
193 'namespace' => 'ShopAccount',
194 'attribute_access' => array( array( 'account_view_template' ) ),
195 'use_views' => 'view' ),
196
197 'content_view_gui' => array( 'template_root' => 'content/view',
198 'input_name' => 'content_object',
199 'output_name' => 'object',
200 'namespace' => 'ContentView',
201 'attribute_keys' => array( 'object' => array( 'id' ),
202 'class_group' => array( 'match_ingroup_id_list' ),
203 'class' => array( 'contentclass_id' ),
204 'section' => array( 'section_id' ),
205 'class_identifier' => array( 'class_identifier' ),
206 'remote_id' => array( 'remote_id' ),
207 'state' => array( 'state_id_array' ),
208 'state_identifier' => array( 'state_identifier_array' ) ),
209 'attribute_access' => array(),
210 'use_views' => 'view' ),
211
212
213 'content_pdf_gui' => array( 'template_root' => 'content/pdf',
214 'input_name' => 'content_object',
215 'output_name' => 'object',
216 'namespace' => 'ContentView',
217 'attribute_keys' => array( 'object' => array( 'id' ),
218 'class' => array( 'contentclass_id' ),
219 'section' => array( 'section_id' ),
220 'remote_id' => array( 'remote_id' ),
221 'class_identifier' => array( 'class_identifier' ) ),
222 'attribute_access' => array(),
223 'use_views' => 'view' ),
224
225 'content_version_view_gui' => array( 'template_root' => 'content/version/view',
226 'input_name' => 'content_version',
227 'output_name' => 'version',
228 'namespace' => 'VersionView',
229 'attribute_keys' => array( 'object' => array( 'contentobject_id' ),
230 'class' => array( 'contentobject', 'contentclass_id' ),
231 'section' => array( 'contentobject', 'section_id' ),
232 'class_identifier' => array( 'contentobject', 'class_identifier' ) ),
233 'attribute_access' => array(),
234 'use_views' => 'view' ),
235
236 'node_view_gui' => array( 'template_root' => 'node/view',
237 'input_name' => 'content_node',
238 'output_name' => 'node',
239 'namespace' => 'NodeView',
240 'constant_template_variables' => array( 'view_parameters' => array( 'offset' => 0 ) ),
241 'attribute_keys' => array( 'node' => array( 'node_id' ),
242 'object' => array( 'contentobject_id' ),
243 'class' => array( 'object', 'contentclass_id' ),
244 'section' => array( 'object', 'section_id' ),
245 'section_identifier' => array( 'object', 'section_identifier' ),
246 'class_identifier' => array( 'object', 'class_identifier' ),
247 'class_group' => array( 'object', 'match_ingroup_id_list' ),
248 'state' => array( 'object', 'state_id_array' ),
249 'state_identifier' => array( 'object', 'state_identifier_array' ),
250 'parent_node' => array( 'parent_node_id' ),
251 'depth' => array( 'depth' ),
252 'url_alias' => array( 'url_alias' ),
253 'remote_id' => array( 'object', 'remote_id' ),
254 'node_remote_id' => array( 'remote_id' ),
255 'parent_class_identifier' => array( 'parent', 'class_identifier' ),
256 'parent_node_remote_id' => array( 'parent', 'remote_id'),
257 'parent_object_remote_id' => array( 'parent', 'object', 'remote_id') ),
258 'attribute_access' => array(),
259 'use_views' => 'view' ),
260
261 'collaboration_view_gui' => array( 'template_root' => 'collaboration/handlers/view',
262 'input_name' => 'collaboration_item',
263 'output_name' => 'item',
264 'namespace' => 'Collaboration',
265 'attribute_keys' => array(),
266 'attribute_access' => array( array( 'type_identifier' ) ),
267 'use_views' => 'view' ),
268
269 'collaboration_icon' => array( 'template_root' => 'collaboration/handlers/icon',
270 'input_name' => 'collaboration_item',
271 'output_name' => 'item',
272 'namespace' => 'Collaboration',
273 'attribute_keys' => array(),
274 'attribute_access' => array( array( 'type_identifier' ) ),
275 'use_views' => 'view' ),
276
277 'collaboration_simple_message_view' => array( 'template_root' => 'collaboration/message/view',
278 'input_name' => 'collaboration_message',
279 'output_name' => 'item',
280 'namespace' => 'CollaborationMessage',
281 'attribute_keys' => array(),
282 'attribute_access' => array( array( 'message_type' ) ),
283 'use_views' => 'view' ),
284
285 'collaboration_participation_view' => array( 'template_root' => array( 'type' => 'multi_match',
286 'attributes' => array( 'is_builtin_type' ),
287 'matches' => array( array( true,
288 'collaboration/participation/view' ),
289 array( false,
290 array( 'collaboration/participation/view/custom',
291 array( array( 'participant_type_string' ) ) ) ) ) ),
292 'input_name' => 'collaboration_participant',
293 'output_name' => 'item',
294 'namespace' => 'CollaborationParticipant',
295 'attribute_keys' => array(),
296 'attribute_access' => array( array( 'participant_type_string' ) ),
297 'use_views' => 'view' ),
298
299 'event_edit_gui' => array( 'template_root' => 'workflow/eventtype/edit',
300 'input_name' => 'event',
301 'output_name' => 'event',
302 'namespace' => 'WorkflowEvent',
303 'attribute_access' => array( array( 'workflow_type_string' ) ),
304 'use_views' => false ),
305
306 'event_view_gui' => array( 'template_root' => 'workflow/eventtype/view',
307 'input_name' => 'event',
308 'output_name' => 'event',
309 'namespace' => 'WorkflowEvent',
310 'attribute_access' => array( array( 'workflow_type_string' ) ),
311 'use_views' => false ),
312
313 'class_attribute_view_gui' => array( 'template_root' => 'class/datatype/view',
314 'input_name' => 'class_attribute',
315 'output_name' => 'class_attribute',
316 'namespace' => 'ClassAttribute',
317 'attribute_access' => array( array( 'data_type',
318 'information',
319 'string' ) ),
320 'use_views' => false ),
321
322 'class_attribute_edit_gui' => array( 'template_root' => 'class/datatype/edit',
323 'input_name' => 'class_attribute',
324 'output_name' => 'class_attribute',
325 'namespace' => 'ClassAttribute',
326 'attribute_access' => array( array( 'data_type',
327 'information',
328 'string' ) ),
329 'use_views' => false ) );
330 return new eZObjectForwarder( $forward_rules );
331 }
332 }
333
334 ?>
eZObjectForwarder
The class eZObjectForwarder does.
Definition: ezobjectforwarder.php:18
eZTemplatePHPOperator
Makes it easy to add php functions as operators.
Definition: eztemplatephpoperator.php:30
$eZTemplateOperatorArray
$eZTemplateOperatorArray
Definition: kernel/common/eztemplateautoload.php:11
$eZTemplateFunctionArray
$eZTemplateFunctionArray
Definition: kernel/common/eztemplateautoload.php:67
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.